## org.hibernate.loader.collection
Interface CollectionInitializer

All Known Implementing Classes:
  BasicCollectionLoader, BatchingCollectionInitializer, CollectionLoader, NamedQueryCollectionInitializer, OneToManyLoader, SubselectCollectionLoader, SubselectOneToManyLoader

    public interface CollectionInitializer

An interface for collection loaders

See Also:
  `BasicCollectionLoader`, `OneToManyLoader`

Method Summary
`void` `initialize(Serializable id, SessionImplementor session)` Initialize the given collection

Method Detail

### initialize

    void initialize(Serializable id,
                    SessionImplementor session)
                    throws HibernateException

  Initialize the given collection

  Throws:
    `HibernateException`

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.